import type { IGolangPluginConfig } from './config';
import { DocumentNode, GraphQLSchema } from 'graphql';
export declare class GolangGenerator {
    readonly config: IGolangPluginConfig;
    readonly schema: GraphQLSchema;
    private _templateEngine;
    private _templateOperation;
    readonly types: {
        [key: string]: string;
    };
    readonly scalars: {
        [key: string]: string;
    };
    private _enums;
    private _inputs;
    private _objects;
    constructor(schema: GraphQLSchema, config?: IGolangPluginConfig);
    generate(documents?: DocumentNode[]): string;
    private _formatName;
    private _generatePackage;
    private _generateImports;
    private _generateSection;
    private _generateSchema;
    private _generateScalars;
    private _generateEnums;
    private _generateInputs;
    private _generateObjects;
    private _generateField;
    private _generateFieldType;
    private _generateOperations;
    private _generateOperationVariables;
    private _generateOperationCode;
}
//# sourceMappingURL=generator.d.ts.map